For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payment Settings

Get store payment settings

get

Retrieves payment settings for a store.

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json

Store payment configuration settings.

show_all_payment_methods_for_subscriptionsbooleanRequired

Whether to show all available payment methods for subscription purchases.

store_tax_inclusive_pricingbooleanRequired

Whether store pricing is tax-inclusive.

block_prepaid_cardsstring · enumRequired

Defines when prepaid cards should be blocked from use.

Possible values:
promo_code_stacking_behaviorstring · enumRequired

Defines the behavior of promo code stacking.

Possible values:
adaptive_currency_enabledbooleanRequired

Whether the 'Adaptive Currency' feature is enabled.

show_adaptive_currency_on_storefrontbooleanRequired

Whether the displayed currency on the storefront should be the Adaptive Currency by default.

max_checkout_amountinteger · int64Required

Maximum checkout amount allowed in cents.

force_3d_securebooleanRequired

Whether to force 3D Secure authentication for all transactions.

chargeback_coveragestring · enumRequired

Defines the type of chargeback coverage provided.

Possible values:
chargeback_coverage_max_amountinteger · nullableOptional

Maximum per-transaction chargeback coverage amount in cents.

get/v1/stores/{storeId}/payment-settings
GET /v1/stores/{storeId}/payment-settings HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
{
  "show_all_payment_methods_for_subscriptions": true,
  "store_tax_inclusive_pricing": true,
  "block_prepaid_cards": "unspecified",
  "promo_code_stacking_behavior": "invalid",
  "adaptive_currency_enabled": true,
  "show_adaptive_currency_on_storefront": true,
  "max_checkout_amount": 1,
  "force_3d_secure": true,
  "chargeback_coverage": "unspecified",
  "chargeback_coverage_max_amount": null
}

Updates store payment settings

patch

Updates payment settings for a store.

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Body
show_all_payment_methods_for_subscriptionsbooleanOptional
store_tax_inclusive_pricingbooleanOptional
block_prepaid_cardsstring · enumOptional

Defines when prepaid cards should be blocked from use.

Possible values:
promo_code_stacking_behaviorstring · enumOptional

Defines the behavior of promo code stacking.

Possible values:
adaptive_currency_enabledbooleanOptional
show_adaptive_currency_on_storefrontbooleanOptional
Responses
204

No Content

No content

patch/v1/stores/{storeId}/payment-settings
PATCH /v1/stores/{storeId}/payment-settings HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 240

{
  "show_all_payment_methods_for_subscriptions": true,
  "store_tax_inclusive_pricing": true,
  "block_prepaid_cards": "unspecified",
  "promo_code_stacking_behavior": "invalid",
  "adaptive_currency_enabled": true,
  "show_adaptive_currency_on_storefront": true
}

No content

Last updated

Was this helpful?